Version: 1.0.0
Release: alt2
%setup_python_module pyxmpp
Name: %{packagename}
Summary: XMPP-IM-compliant library for jabber instant messenging.
Source0: %{modulename}-%{version}.tar.gz
License: LGPL
Group: Development/Python
Prefix: %{_prefix}
#BuildArchitectures: noarch
Url: http://pyxmpp.jajcus.net
Packager: Fr. Br. George <george@altlinux.ru>

# Automatically added by buildreq on Sat Jul 29 2006
BuildRequires: libxml2-devel python-module-dns python-modules-libxml2 python-module-epydoc

Requires: python-module-dns python-modules-libxml2

%description
PyXMPP is a Python XMPP (RFC 3920,3921) and Jabber (http://www.jabber.org/protocol/) implementation. It is based on libxml2 -- fast and fully-featured XML parser.

PyXMPP provides most core features of the XMPP protocol and several JSF-defined extensions. PyXMPP provides building blocks for creating Jabber clients and components. Developer uses them to setup XMPP streams, handle incoming events and create outgoing stanzas (XMPP "packets").

%prep
%setup -q -n %{modulename}-%{version}

%build
#%__python setup.py build
%make
%make doc

%install
%makeinstall DESTDIR=$RPM_BUILD_ROOT/
#%__python setup.py install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES
#install -d $RPM_BUILD_ROOT/%python_tooldir $RPM_BUILD_ROOT/usr/bin/

#%files -f INSTALLED_FILES
%files
%python_sitelibdir/%modulename
%defattr(-,root,root)
%doc doc/*
#%%doc examples
#%python_tooldir/*
#/usr/bin/*

%changelog
* Wed Dec 27 2006 Fr. Br. George <george@altlinux.ru> 1.0.0-alt2
- x86_64 fix: %python_sitelibdir is used

* Sat Jul 29 2006 Fr. Br. George <george@altlinux.ru> 1.0.0-alt1
- Initial ALT build

